Subject: Search for Independent Submissions Editor (ISE) Candidates

From: IAB Executive Administrative Manager <[email-masked]>
Date: Wed, 10 May 2017 09:46:27 -0700

The IAB is responsible for overseeing the volunteer Independent
Submissions Editor (ISE) position. The current appointee is Nevil 
Brownlee, whose term expires in February 2018. Nevil is not seeking 
another appointment.

The requirements and responsibility for the role are documented in
<https://datatracker.ietf.org/doc/rfc6548>.

The IAB is identifying potential candidates for this role, with the
intent to gather community feedback and make an appointment later this
year. Suggestions for candidates are welcome at [email-masked].

For the IAB,
Robert Sparks